<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <header>
        <nav>
            <ul>
                {% if request.user.is_authenticated %}
                <li><a href="{% url 'home' %}">Receipts</a></li>
                <li><a href="{% url 'create_receipt' %}">Create Receipt</a></li>
                <li><a href="{% url 'list_accounts' %}">Account</a></li>
                <li><a href="{% url 'create_account' %}">Create Account</a></li>
                <li><a href="{% url 'list_categories' %}">Categories</a></li>
                <li><a href="{% url 'create_category' %}">Create Category</a></li>
                <li><a href="{% url 'logout' %}">Logout</a></li>
                {% else %}
                <li><a href="{% url 'signup' %}">Sign Up</a></li>
                <li><a href="{% url 'login' %}">Login</a></li>
                {% endif %}
            </ul>
        </nav>
    </header>
    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Number</th>
                <th>Number of receipts</th>
            </tr>
        </thead>
        <tbody>
            {% for i in accounts %}
            <tr>
                <td>{{ i.name }}</td>
                <td>{{ i.number }}</td>
                <td>{{ i.receipts.all|length }}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</body>
</html>


<pre>{% debug %}</pre>
